aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorGravatar Andres Erbsen <andreser@mit.edu>2017-06-18 17:04:48 -0400
committerGravatar Andres Erbsen <andreser@mit.edu>2017-06-18 17:04:48 -0400
commite966c5ac810c7214b3f25c9f8ff7b965c0174f51 (patch)
treec05daafea9845ad1ff46c61dc3a444b5fd7e21ad /src
parent6d375335db79c5a50a929e03f3a0be2578f6cf49 (diff)
sh portability fixes in "make c"
Diffstat (limited to 'src')
-rwxr-xr-xsrc/Specific/X25519/C64/compiler.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/Specific/X25519/C64/compiler.sh b/src/Specific/X25519/C64/compiler.sh
index eb6c09eba..b05a73567 100755
--- a/src/Specific/X25519/C64/compiler.sh
+++ b/src/Specific/X25519/C64/compiler.sh
@@ -1,4 +1,6 @@
#!/bin/sh
-set -euo pipefail
+set -e || true
+set -u || true
+set -o pipefail || true
gcc -march=native -mtune=native -O3 -flto -fomit-frame-pointer -fwrapv -Wno-attributes $@